<?php

// class if thumbnail is present
$thumbclass = has_post_thumbnail(get_the_ID()) ? 'genji-has-thumb' : 'genji-no-thumb';

?>
<?php do_action('genji_single_before');?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php do_action('genji_single_inside_top');?>

	<!-- Entry Mast -->
	<header class="genji-entry-top <?php echo $thumbclass;?>">

		<div class="genji-entry-header">
			<span class="genji-cat-links"><?php echo get_the_category_list( _x( ' ', 'Used between list items, there is a space after the comma.', 'genji' ) ); ?></span>
			<?php the_title('<h1 class="genji-entry-title">', '</h1>' );?>

			<?php if (has_excerpt()){ printf('<p class="genji-entry-subtitle lead">%s</p>',wp_trim_words(get_the_excerpt(), 16, '')); }?>

			<div class="genji-post-author clearfix"><?php genji_post_author('', 30, '', true, '');?></div>

		</div>

		<?php if ( is_singular() ) {
			// get image source
			$imgsrc = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full');

			// inline style if post thumb is present
			$style = has_post_thumbnail() ? sprintf('style="background:url(%s);background-size:cover;background-position:top center;"',$imgsrc[0]) : false;

			?><div class="genji-entry-top-img genji-bg-img" <?php echo apply_filters('genji_top_styles', $style);?>></div>
		<?php } ?>


	</header>

	<?php if ( is_single() ) { ?>
		<!-- Entry Header -->
		<section class="genji-story-header clearfix">
			<div class="aesop-entry-header genji-story-header-inner">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="genji-go-home"><i class="genjicon genjicon-list-ul"></i></a>

				<h2 class="genji-story-title"><?php echo wp_trim_words(get_the_title(), 8, '');?>  <small> by <?php the_author();?></small></h2>
			</div>
		</section>
	<?php } ?>

	<!-- Entry Body -->
	<div class="aesop-entry-content genji-entry-content genji-entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array(
			'before'      => '<div class="genji-page-links"><span class="genji-page-links-title">' . __( 'Pages:', 'genji' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
		) ); ?>
	</div>

	<!-- Entry Tags -->
	<?php the_tags( '<div class="genji-entry-tags">', '', '</div>' ); ?>

	<?php get_template_part('partials/author');?>

	<?php
		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) {
			comments_template();
		}
	?>

	<?php do_action('genji_single_inside_bottom');?>

</article>
<?php do_action('genji_single_after');?>