<?php


class genjiFunctions{

	public function __construct(){

		// Set some constants
		define('GENJI_VERSION', '1.0');
		define('GENJI_DIR', get_template_directory());
		define('GENJI_URL', get_template_directory_uri());

		// load includes
		require_once(GENJI_DIR.'/inc/usermeta.php');
		require_once(GENJI_DIR.'/inc/options.php');
		require_once(GENJI_DIR.'/inc/scripts.php');
		require_once(GENJI_DIR.'/inc/misc_functions.php');

		if( !class_exists( 'TGM_Plugin_Activation' ) && is_admin() ) {
			require_once(GENJI_DIR.'/class-tgm-plugin-activation.php');
		}

		if (is_admin()) {
			require_once(GENJI_DIR.'/activator.php');
		}

		// Load Updater
		if( !class_exists( 'EDD_SL_Theme_Updater' ) ) {
			// load our custom updater
			include( 'EDD_SL_Theme_Updater.php' );
		}

		require_once(GENJI_DIR.'/updater.php');

		// theme setup
		add_filter('the_content', 		array($this,'remove_img_ptags'));
		add_action('after_setup_theme', array($this,'setup'));
		add_action('init', 				array($this,'editor_styles'));
		add_filter('body_class', 		array($this,'genji_body_class'));

	}
	public function setup() {

		// set theme width
		if ( ! isset( $content_width ) ) {
			$content_width = 840;

		}

		// Add RSS feed links to <head> for posts and comments.
		add_theme_support( 'automatic-feed-links' );

		// Enable support for Post Thumbnails, and declare two sizes.
		add_theme_support( 'post-thumbnails' );

		// Switch default core markup for search form, comment form, and comments
		add_theme_support( 'html5', array(
			'search-form', 'comment-form', 'comment-list',
		) );

		// This theme uses wp_nav_menu() in two locations.
		register_nav_menus( array(
			'primary'   => __( 'Top primary menu', 'genji' )
		) );

		register_sidebars(1, array(
			'name' 			=> __('Genji Footer Widgets', 'genji'),
			'id' 			=> 'genji_footer_sb',
	      	'before_title' 	=> '<h5 class="genji-widget-title">',
	      	'after_title' 	=> '</h5>',
			'before_widget' => '<div class="genji-widget">',
			'after_widget' 	=> '</div>'
	    ));

	}

	public function editor_styles(){
		add_editor_style( 'editor-style.css' );
	}

	function remove_img_ptags($content){
	   return preg_replace('/<p>\s*(<a .*>)?\s*(<img .* \/>)\s*(<\/a>)?\s*<\/p>/iU', '\1\2\3', $content);
	}

	function genji_body_class($classes){

		$classes[] = 'genji';
		return $classes;
	}
}


new genjiFunctions;