<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php wp_title('|', true, 'right'); ?> <?php bloginfo('name'); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<link href='//fonts.googleapis.com/css?family=Lato:300,400,700' rel='stylesheet' type='text/css'>
	<link href="//fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic" rel="stylesheet" type="text/css">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/assets/js/source/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<?php do_action('aesop_inside_body_top');?>

	<header id="header" class="genji-site-header" role="banner">

		<?php do_action('genji_inside_top_header');?>

		<?php if (get_theme_mod('genji_site_logo')) { ?>

			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img class="genji-site-logo" src="<?php echo  get_theme_mod('genji_site_logo');?>"></a>

		<?php } else { ?>

			<h1 class="genji-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>

		<?php } ?>

		<?php if ( get_bloginfo( 'description' ) ) {
			printf('<p class="genji-site-description">%s</p>',get_bloginfo('description'));
		}?>

		<a href="#" class="genji-collapse genji-menu-toggle" data-toggle="collapse" data-target="#genji-primary-nav"><i class="genjicon genjicon-bars"></i></a>
		<nav id="genji-primary-nav" class="collapse">
			<?php wp_nav_menu( array( 'theme_location' => 'primary','menu_class' => 'genji-nav-menu unstyled' ) ); ?>
		</nav>

		<?php do_action('genji_inside_bottom_header');?>

	</header>

	<?php do_action('genji_after_site_header');?>
